diff -r ee4e1e140117 runtime/syntax/tex.vim
--- a/runtime/syntax/tex.vim	Wed Jul 28 17:25:21 2010 +0200
+++ b/runtime/syntax/tex.vim	Wed Jul 28 13:16:51 2010 -0400
@@ -38,6 +38,8 @@
   finish
 endif
 
+scriptencoding utf-8
+
 " Define the default highlighting. {{{1
 " For version 5.7 and earlier: only when not done already
 " For version 5.8 and later: only when an item doesn't have highlighting yet
@@ -125,7 +127,7 @@
  syn cluster texSubSectionGroup		contains=texSubSubSectionZone,texParaZone
  syn cluster texSubSubSectionGroup	contains=texParaZone
  syn cluster texParaGroup		contains=texSubParaZone
- if has("conceal") && &enc == 'utf-8'
+ if has("conceal")
   syn cluster texMathZoneGroup	add=texGreek,texSuperscript,texSubscript,texMathSymbol
   syn cluster texMathMatchGroup	add=texGreek,texSuperscript,texSubscript,texMathSymbol
  endif
@@ -341,7 +343,7 @@
  call TexNewMathZone("L","xxalignat",0)
 
  " Inline Math Zones: {{{2
- if has("conceal") && &enc == 'utf-8'
+ if has("conceal")
   syn region texMathZoneV	matchgroup=Delimiter start="\\("			matchgroup=Delimiter end="\\)\|%stopzone\>"	keepend concealends contains=@texMathZoneGroup
   syn region texMathZoneW	matchgroup=Delimiter start="\\\["			matchgroup=Delimiter end="\\]\|%stopzone\>"	keepend concealends contains=@texMathZoneGroup
   syn region texMathZoneX	matchgroup=Delimiter start="\$" skip="\\\\\|\\\$"	matchgroup=Delimiter end="\$" end="%stopzone\>"		concealends contains=@texMathZoneGroup
@@ -477,7 +479,7 @@
 endif
 
 " Conceal mode support (supports set cole=1) {{{1
-if has("conceal") && &enc == 'utf-8'
+if has("conceal")
 
  " Math Symbols {{{2
  syn match texMathSymbol '\\left('      contained conceal cchar=(
